pbs_account(8B)

NAME
pbs_account For Windows. Manage PBS service account

SYNOPSIS
pbs_account [-a <PBS service account name>] [-c [<password>]] [--ci]
    [--instid <instance ID>] [-o <output path>]
    [-p [<password>]] [--reg <service path>] [-s]
    [--unreg <service path>]

DESCRIPTION
The pbs_account command is used to manage the PBS service account. It is used to create the account, set or validate the account password, add privileges to the account, and register or unregister the account with the SCM.

Permissions
This command can be run by administrators only.

Platforms
This command is available on Windows only.

OPTIONS

-a <account name>
    Specifies service account name.

-c [<password>]
    If specified account does not exist, creates the account with the password. If specified account exists, validates password against it. Gives necessary privileges to the specified account: Create Token Object, Replace Process Level Token, Log on as a Service, and Act as Part of the Operating System If password is not specified, user is prompted for password.

--ci
    Informational only. Prints actions taken by pbs_account while creating PBS service account while operations are performed.

instid <instance ID>
    Specifies the instance ID when registering or unregistering multiple instances of a service. Example:
    pbs_account --reg "C:\Program Files (x86)\PBS Pro_2\exec\sbin\pbs_mom" --instid 2 -a <username> -p <password>
    pbs_account --unreg "C:\Program Files (x86)\PBS Pro_2\exec\sbin\pbs_mom" --instid 2

-o <output path>
    Prints stdout and stderr messages in specified output path.

-p [<password >]
    Updates the PBS service account password. If no password is specified, the user is prompted for a password.

--reg <path to service>
    Registers the PBS service with the SCM, instructing it to run the services under the PBS service account. path to service must be in double quotes.

-S  Adds necessary privileges to the PBS service account. Grants the "Create Token Object", "Replace Process Level Token", "Log On as a Service", and "Act as Part of the Operating System" privileges to PBS service account.

--unreg <path to service>
    Unregisters the PBS service with the SCM. path to service must be in double quotes.

(no options)
    Prints name of PBS service account, if it exists. Exit value is 0.

Examples
To create the PBS service account:
    pbs_account -c -s -p <password>
To change the PBS service account:
    pbs_account [--reg <service path>] -a <PBS service account name>
To register the server, scheduler, MoM, comm, and rshd services:
    pbs_account --reg "\Program Files\PBS Pro\exec\sbin\pbs_server.exe" -p <password>
    pbs_account --reg "\Program Files\PBS Pro\exec\sbin\pbs_mom.exe" -p <password>
    pbs_account --reg "\Program Files\PBS Pro\exec\sbin\pbs_sched.exe" -p <password>
    pbs_account --reg "\Program Files\PBS Pro\exec\sbin\pbs_comm.exe" -p <password>
    pbs_account --reg "\Program Files\PBS Pro\exec\sbin\pbs_rshd.exe" -p <password>

Exit Value

Zero
    Upon success